<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>ClayErrorCode</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClayErrorCode";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/api/error/ClayErrorCode.html" target="_top">Frames</a></li>
<li><a href="ClayErrorCode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.api.error</div>
<h2 title="Enum ClayErrorCode" class="title">Enum ClayErrorCode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.myclay.claysdk.api.error.ClayErrorCode</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">ClayErrorCode</span>
extends java.lang.Enum&lt;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a>&gt;</pre>
<div class="block">A list of all the possible error codes a ClayException can have</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#DECRYPT_FAILED_ERROR">DECRYPT_FAILED_ERROR</a></span></code>
<div class="block">Decryption of the mkey did not succeed</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#EMPTY_API_PUBLIC_KEY">EMPTY_API_PUBLIC_KEY</a></span></code>
<div class="block">The API public key is empty</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#GENERIC_ERROR">GENERIC_ERROR</a></span></code>
<div class="block">Generic error</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#INVALID_API_PUBLIC_KEY">INVALID_API_PUBLIC_KEY</a></span></code>
<div class="block">The API public key is invalid</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#INVALID_BASE64_MKEY">INVALID_BASE64_MKEY</a></span></code>
<div class="block">The BASE64 encoding of the mkey is invalid</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#INVALID_MKEY_ERROR">INVALID_MKEY_ERROR</a></span></code>
<div class="block">The supplied mkey has an invalid format</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#INVALID_PRIVATE_KEY_ERROR">INVALID_PRIVATE_KEY_ERROR</a></span></code>
<div class="block">The private key used to decrypt an encrypted mkey is invalid</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#PRIVATE_KEY_IS_EMPTY_ERROR">PRIVATE_KEY_IS_EMPTY_ERROR</a></span></code>
<div class="block">The private key used for decryption is empty</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#PRIVATE_KEY_IS_NULL_ERROR">PRIVATE_KEY_IS_NULL_ERROR</a></span></code>
<div class="block">The private key used for decryption is null</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#mValue">mValue</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#getValue--">getValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="GENERIC_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERIC_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> GENERIC_ERROR</pre>
<div class="block">Generic error</div>
</li>
</ul>
<a name="DECRYPT_FAILED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECRYPT_FAILED_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> DECRYPT_FAILED_ERROR</pre>
<div class="block">Decryption of the mkey did not succeed</div>
</li>
</ul>
<a name="INVALID_PRIVATE_KEY_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_PRIVATE_KEY_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> INVALID_PRIVATE_KEY_ERROR</pre>
<div class="block">The private key used to decrypt an encrypted mkey is invalid</div>
</li>
</ul>
<a name="PRIVATE_KEY_IS_NULL_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PRIVATE_KEY_IS_NULL_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> PRIVATE_KEY_IS_NULL_ERROR</pre>
<div class="block">The private key used for decryption is null</div>
</li>
</ul>
<a name="PRIVATE_KEY_IS_EMPTY_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PRIVATE_KEY_IS_EMPTY_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> PRIVATE_KEY_IS_EMPTY_ERROR</pre>
<div class="block">The private key used for decryption is empty</div>
</li>
</ul>
<a name="INVALID_MKEY_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_MKEY_ERROR</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> INVALID_MKEY_ERROR</pre>
<div class="block">The supplied mkey has an invalid format</div>
</li>
</ul>
<a name="INVALID_BASE64_MKEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_BASE64_MKEY</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> INVALID_BASE64_MKEY</pre>
<div class="block">The BASE64 encoding of the mkey is invalid</div>
</li>
</ul>
<a name="INVALID_API_PUBLIC_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_API_PUBLIC_KEY</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> INVALID_API_PUBLIC_KEY</pre>
<div class="block">The API public key is invalid</div>
</li>
</ul>
<a name="EMPTY_API_PUBLIC_KEY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EMPTY_API_PUBLIC_KEY</h4>
<pre>public static final&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a> EMPTY_API_PUBLIC_KEY</pre>
<div class="block">The API public key is empty</div>
</li>
</ul>
</li>
</ul>
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="mValue">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mValue</h4>
<pre>private&nbsp;int mValue</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (ClayErrorCode c : ClayErrorCode.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;int&nbsp;getValue()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayErrorMessage.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/api/error/ClayErrorCode.html" target="_top">Frames</a></li>
<li><a href="ClayErrorCode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
